#!/bin/bash
# __author__ = Felix Kleinert
# __date__  = '2020-04-06'

# This script creates a virtual env which contains all modules which are not available via slrum/easybuild (see mlt_modules_hdfml.sh)

# load existing modules
source mlt_modules_hdfml.sh

# create venv
python3 -m venv ../venv_hdfml

source ../venv_hdfml/bin/activate

# export path for side-packages 
export PYTHONPATH=${PWD}/../venv_hdfml/lib/python3.6/site-packages:${PYTHONPATH}

pip install -r requirements_HDFML_outcommented.txt
pip install --ignore-installed matplotlib==3.2.0
pip install --ignore-installed pandas==1.0.1

# see wiki on hdfml for information oh h5py:
# https://gitlab.version.fz-juelich.de/haf/Wiki/-/wikis/HDF-ML%20System

export CC=mpicc
export HDF5_MPI="ON"
pip install --no-binary=h5py h5py


