#!/bin/bash
# __author__ = Felix Kleinert
# __date__  = '2020-04-06'

# This script creates a virtual env which contains all modules which are not available via slrum/easybuild (see mlt_modules.sh)

# load existing modules
source mlt_modules.sh

# create venv 
python3 -m venv venv

source venv/bin/activate

# export path for side-packages 
export PYTHONPATH=${PWD}/venv/lib/python3.6/site-packages:${PYTHONPATH}

pip install -r requirements_JUWELS_outcommented.txt
pip install --ignore-installed matplotlib==3.2.0

# Comment: Maybe we have to export PYTHONPATH a second time ater activating the venv (after job allocation)
# source venv/bin/activate
# alloc_develgpu
# source venv/bin/activate
# export PYTHONPATH=${PWD}/venv/lib/python3.6/site-packages:${PYTHONPATH}
# srun python run.py

# create batch run scripts
source create_runscripts_HPC.sh

